LedgerTransaction.Companion
Keywords: net.corda.core.transactions.LedgerTransaction.Companion class
Date: 2023-09-18

net.corda.core.transactions

## Class LedgerTransaction.Companion

- net.corda.core.transactions.LedgerTransaction.Companion

- Enclosing class:
    LedgerTransaction

      public static class LedgerTransaction.Companion

- - ### Method Detail

    - #### createForContractVerify

          @CordaInternal
           @NotNull
          public LedgerTransaction createForContractVerify(@NotNull
                                                                                    java.util.List<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> inputs,
                                                                                    @NotNull
                                                                                    java.util.List<? extends net.corda.core.contracts.TransactionState<? extends net.corda.core.contracts.ContractState>> outputs,
                                                                                    @NotNull
                                                                                    java.util.List<? extends net.corda.core.contracts.CommandWithParties<? extends net.corda.core.contracts.CommandData>> commands,
                                                                                    @NotNull
                                                                                    java.util.List<? extends net.corda.core.contracts.Attachment> attachments,
                                                                                    @NotNull
                                                                                    SecureHash id,
                                                                                    @Nullable
                                                                                    Party notary,
                                                                                    @Nullable
                                                                                    TimeWindow timeWindow,
                                                                                    @NotNull
                                                                                    PrivacySalt privacySalt,
                                                                                    @Nullable
                                                                                    NetworkParameters networkParameters,
                                                                                    @NotNull
                                                                                    java.util.List<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> references,
                                                                                    @NotNull
                                                                                    DigestService digestService)

      This factory function will create an instance of `class LedgerTransaction` that will be used for contract verification. See BasicVerifier and DeterministicVerifier.

      See Also:
        `class LedgerTransaction`